Commit 09286e83 authored by Christopher Huhn's avatar Christopher Huhn
Browse files

Try to fix failure for multiarch check

parent 78a537bd
......@@ -57,7 +57,7 @@ Ohai.plugin(:Dpkg) do
# list of enabled multiarch architectures (eg. i386 on amd64):
# no multiarch before Wheezy
if platform_version.to_i > 6
if platform_version.to_i > 6 || platform_version =~ /\/sid$/
debian["foreign_architectures"] = `dpkg --print-foreign-architectures`.split("\n")
end
......
......@@ -127,7 +127,7 @@ end
# add multiarch support if desired:
# this is statically pinned to i386 on amd64 for now
execute 'dpkg --add-architecture i386' do
only_if { node['sys']['apt']['multiarch'] && node['debian']['architecture'] == 'amd64' }
not_if { node['debian']['foreign_architectures'].include?('i386') }
only_if { node['sys']['apt']['multiarch'] && node['debian']['architecture'] == 'amd64'}
not_if { node['debian'].include?('foreign_architectures') && node['debian']['foreign_architectures'].include?('i386') }
notifies :run, "execute[#{apt_update}]", :immediately
end
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment